Subject: [alpine-aports] [PATCH 1/7] main/flake8: update to 2.5.0

From: Peter Bui <[email-masked]>
Date: Sat, 21 Nov 2015 14:42:21 -0600

---
 main/flake8/APKBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/main/flake8/APKBUILD b/main/flake8/APKBUILD
index f862801..93864cd 100644
--- a/main/flake8/APKBUILD
+++ b/main/flake8/APKBUILD
@@ -1,7 +1,7 @@
 # Contributor: Peter Bui <[email-masked]>
 # Maintainer: Fabian Affolter <[email-masked]>
 pkgname=flake8
-pkgver=2.4.1
+pkgver=2.5.0
 pkgrel=0
 pkgdesc="A modular source code checker"
 url="https://gitlab.com/pycqa/flake8"
@@ -35,6 +35,6 @@ package() {
 	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
 }
 
-md5sums="ed45d3db81a3b7c88bd63c6e37ca1d65  flake8-2.4.1.tar.gz"
-sha256sums="2e7ebbe59d8c85e626e36d99f0db2f578394313d3f7ce9dc9f1da57ef6cd7537  flake8-2.4.1.tar.gz"
-sha512sums="8ddd07d6be53b06efcf7dd9aa2daa070ab209f7177e46f32a3bcae545acbb5e020aa27aeab54426798ae6c3722b38928b06dc3e53115cc624a16fa0fa97f4840  flake8-2.4.1.tar.gz"
+md5sums="f239d055144a17cce76b3a402f112dc6  flake8-2.5.0.tar.gz"
+sha256sums="8216c8c6ee092ae93d51f89bc91045648c88cd9be77d60cf47df7ca26ee4f88c  flake8-2.5.0.tar.gz"
+sha512sums="6f55ae237fb834fa9376760eddf77553f9edb1b7328175c5f07232b160e4d5ea9d65caa91241f7d1db90845f9c02b8d41129cd453c1b09a4d6870e0e53ba0f8d  flake8-2.5.0.tar.gz"
-- 
2.4.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Peter Bui <[email-masked]>
Date: Sat, 21 Nov 2015 14:42:22 -0600

---
 main/py-rsa/APKBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/main/py-rsa/APKBUILD b/main/py-rsa/APKBUILD
index f99913c..2e935d8 100644
--- a/main/py-rsa/APKBUILD
+++ b/main/py-rsa/APKBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Peter Bui <[email-masked]>
 pkgname=py-rsa
 _pkgname=rsa
-pkgver=3.2
+pkgver=3.2.3
 pkgrel=0
 pkgdesc="Pure-Python RSA implementation"
 url="http://stuvel.eu/rsa"
@@ -35,6 +35,6 @@ package() {
 	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
 }
 
-md5sums="d2385469e2c76f33124709d09e559615  rsa-3.2.tar.gz"
-sha256sums="30f371fbb060747aa53e02c2d53067d8a4f776a7f8ba0e9f0e6bd3f392489777  rsa-3.2.tar.gz"
-sha512sums="cef1f42534d010e1bbaf62838779a54d20dbbee2b190afec662089c47959c490e279150de7c23bf10a0b53c4e7d4478680df1107a911ea42468b3483274aaf50  rsa-3.2.tar.gz"
+md5sums="0e93ca942184650116d84452d4b90253  rsa-3.2.3.tar.gz"
+sha256sums="14db288cc40d6339dedf60d7a47053ab004b4a8976a5c59402a211d8fc5bf21f  rsa-3.2.3.tar.gz"
+sha512sums="52b33e0278e6e1fed64b1cdebed29f7caa31fae733c2d5875e6cba5a045aaa829616799d8de84fdb63c546780dbdafcabf1f85f25930b8e663861151479ef7e2  rsa-3.2.3.tar.gz"
-- 
2.4.1

---

---

From: Peter Bui <[email-masked]>
Date: Sat, 21 Nov 2015 14:42:23 -0600

New required dependency for main/py-tornado 4.3
---
 testing/py-singledispatch/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/py-singledispatch/APKBUILD

diff --git a/testing/py-singledispatch/APKBUILD b/testing/py-singledispatch/APKBUILD
new file mode 100644
index 0000000..9cbf7ee
--- /dev/null
+++ b/testing/py-singledispatch/APKBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Peter Bui <[email-masked]>
+pkgname=py-singledispatch
+_pkgname=singledispatch
+pkgver=3.4.0.3
+pkgrel=0
+pkgdesc="This library brings functools.singledispatch from Python 3.4 to Python 2.6-3.3."
+url="https://bitbucket.org/ambv/singledispatch"
+arch="noarch"
+license="MIT"
+depends="python"
+depends_dev="py-setuptools"
+makedepends="python-dev $depends_dev"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1 || return 1
+}
+
+md5sums="af2fc6a3d6cc5a02d0bf54d909785fcb  singledispatch-3.4.0.3.tar.gz"
+sha256sums="5b06af87df13818d14f08a028e42f566640aef80805c3b50c5056b086e3c2b9c  singledispatch-3.4.0.3.tar.gz"
+sha512sums="ba065d36092ddee6527be3d7cb777c51c0949855bf6dd0ffb7c25acaedaa35d36fe6dc096587acddcd1e9e54c6ac5f92c196b11f9ee1270cc0c1cf2f410446cf  singledispatch-3.4.0.3.tar.gz"
-- 
2.4.1

---

---

From: Peter Bui <[email-masked]>
Date: Sat, 21 Nov 2015 14:42:24 -0600

New required dependency for main/py-tornado 4.3
---
 testing/py-backports_abc/APKBUILD | 40 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/py-backports_abc/APKBUILD

diff --git a/testing/py-backports_abc/APKBUILD b/testing/py-backports_abc/APKBUILD
new file mode 100644
index 0000000..3a196d7
--- /dev/null
+++ b/testing/py-backports_abc/APKBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Peter Bui <[email-masked]>
+pkgname=py-backports_abc
+_pkgname=backports_abc
+pkgver=0.4
+pkgrel=0
+pkgdesc="A backport of recent additions to the collections.abc Python module"
+url="https://github.com/cython/backports_abc"
+arch="noarch"
+license="custom"
+depends="python" 
+depends_dev="py-setuptools"
+makedepends="python-dev $depends_dev"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1 || return 1
+}
+
+md5sums="0b65a216ce9dc9c1a7e20a729dd7c05b  backports_abc-0.4.tar.gz"
+sha256sums="8b3e4092ba3d541c7a2f9b7d0d9c0275b21c6a01c53a61c731eba6686939d0a5  backports_abc-0.4.tar.gz"
+sha512sums="0b7f9cc1d12db16a0c0eaf658fd874bf9fe09959fab65d1b0104d337fb20cceb2e3e9213be895df5951876846eccac85012c270e34197d625ce128b688e847ae  backports_abc-0.4.tar.gz"
-- 
2.4.1

---

---

From: Peter Bui <[email-masked]>
Date: Sat, 21 Nov 2015 14:42:25 -0600

Requires new dependencies testing/py-backports_abc and
testing/py-singledispatch
---
 main/py-tornado/APKBUILD | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/main/py-tornado/APKBUILD b/main/py-tornado/APKBUILD
index c098169..73beb13 100644
--- a/main/py-tornado/APKBUILD
+++ b/main/py-tornado/APKBUILD
@@ -1,13 +1,13 @@
 # Maintainer: Peter Bui <[email-masked]>
 pkgname=py-tornado
 _pkgname=tornado
-pkgver=4.2.1
+pkgver=4.3
 pkgrel=0
 pkgdesc="Python web framework and asynchronous networking library"
 url="http://www.tornadoweb.org/"
 arch="all"
 license="ASL 2.0"
-depends="python py-backports.ssl_match_hostname py-certifi"
+depends="python py-backports.ssl_match_hostname py-backports_abc py-certifi py-singledispatch"
 depends_dev="py-setuptools"
 makedepends="python-dev $depends_dev"
 install=""
@@ -35,6 +35,6 @@ package() {
 	python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1 || return 1
 }
 
-md5sums="d523204389cfb70121bb69709f551b20  tornado-4.2.1.tar.gz"
-sha256sums="a16fcdc4f76b184cb82f4f9eaeeacef6113b524b26a2cb331222e4a7fa6f2969  tornado-4.2.1.tar.gz"
-sha512sums="5bb391b05c8574c8ae5e315b7617e1259ab80e993f1230db611c5beef8058517cc588daf75fac2e0f7969668715470b06ed183c9832b22081be265beb6967e30  tornado-4.2.1.tar.gz"
+md5sums="d13a99dc0b60ba69f5f8ec1235e5b232  tornado-4.3.tar.gz"
+sha256sums="c9c2d32593d16eedf2cec1b6a41893626a2649b40b21ca9c4cac4243bde2efbf  tornado-4.3.tar.gz"
+sha512sums="4220ae67eb8bfbe112edead47f37308eca9a272df24f073a7e5d1a0d0e90fb9f8c74b48db0d78fd995463591924800ab5268d32bcacc497ba204f164bce438bc  tornado-4.3.tar.gz"
-- 
2.4.1

---

---

From: Peter Bui <[email-masked]>
Date: Sat, 21 Nov 2015 14:42:26 -0600

---
 main/py-tz/APKBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/main/py-tz/APKBUILD b/main/py-tz/APKBUILD
index 7c63c22..2f71f67 100644
--- a/main/py-tz/APKBUILD
+++ b/main/py-tz/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer: Fabian Affolter <[email-masked]>
 pkgname=py-tz
 _pkgname=pytz
-pkgver=2015.6
+pkgver=2015.7
 pkgrel=0
 pkgdesc="A Python definitions of world timezone"
 url="http://pytz.sourceforge.net/"
@@ -36,6 +36,6 @@ package() {
 	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
 }
 
-md5sums="ff047a16dafeaa895bedef80a74c3728  pytz-2015.6.tar.gz"
-sha256sums="c598a6b6850dbcc00843651878e8282dac77c95e19d84847b6918eeb3ed8f0c2  pytz-2015.6.tar.gz"
-sha512sums="ecddb75bb69bbf2b80f344876f9ab96b6f846074f6536df302ff4cfbf52702259fe3c1315fc95559d819010a2e4007982f3d87d726acb08c76561c2a2cb9c860  pytz-2015.6.tar.gz"
+md5sums="252bb731883f37ff9c7f462954e8706d  pytz-2015.7.tar.gz"
+sha256sums="99266ef30a37e43932deec2b7ca73e83c8dbc3b9ff703ec73eca6b1dae6befea  pytz-2015.7.tar.gz"
+sha512sums="d173709d3f9d532db4c3af8bf285eb4f170309933eeb027994c4c426895758cf9acf417bc2534dc076f1ecd4990029c9f4f945fd4fa3df4dbdb3c3f74af7e11c  pytz-2015.7.tar.gz"
-- 
2.4.1

---

---

From: Peter Bui <[email-masked]>
Date: Sat, 21 Nov 2015 14:42:27 -0600

---
 main/youtube-dl/APKBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/main/youtube-dl/APKBUILD b/main/youtube-dl/APKBUILD
index 4cf61e2..11e7ad9 100644
--- a/main/youtube-dl/APKBUILD
+++ b/main/youtube-dl/APKBUILD
@@ -4,7 +4,7 @@
 # Contributor: Timo Teräs <[email-masked]>
 # Maintainer: Timo Teräs <[email-masked]>
 pkgname=youtube-dl
-pkgver=2015.11.02
+pkgver=2015.11.19
 pkgrel=0
 pkgdesc="A small command-line program to download videos from YouTube."
 url="http://youtube-dl.org "
@@ -52,6 +52,6 @@ fishcomp() {
 		"$subpkgdir"/usr/share/fish/completions/ || return 1
 }
 
-md5sums="7e81ffcda74b99810cbfc739d0dd4137  youtube-dl-2015.11.02.tar.gz"
-sha256sums="5c5bc5a7fec405ed353bd7052a4a83e8782742d246b24af73393fe70c7b28d8c  youtube-dl-2015.11.02.tar.gz"
-sha512sums="99425739bf8802e50e5d4e11acd9915cb558f735918f145e78bb3e2d587c0b978882ac339ecbb0c8570510ea5843e19017fd40b5b4a2fbc44e5806ebb14bbaf2  youtube-dl-2015.11.02.tar.gz"
+md5sums="b4ca8ae28279abe12c272344cbe10332  youtube-dl-2015.11.19.tar.gz"
+sha256sums="2ed713c995a5cd837205eefa35d5df49179fa90cf634a4f222a31f2bde94e668  youtube-dl-2015.11.19.tar.gz"
+sha512sums="ca43aa8484bc63ed4a02cd5125d3ab971cadfdeb2c747d33e8485e6aa88942effc279e4dc17f38622ece57381eedc8e3b8a37c12002664a6df97bac3579c5fca  youtube-dl-2015.11.19.tar.gz"
-- 
2.4.1

---